Subject: Re: bug#10578: 24.0.92; No png images on OpenSUSE 12.1

From: Achim Gratz <[email-masked]>
Date: Sun, 22 Jan 2012 17:46:14 +0100

Lars Ingebrigtsen <[email-masked]> writes:
> I'm trying to compile Emacs 24 (current bzr) under OpenSUSE 12.1.
> Everything seems to work fine except inserting PNG images.
>
> If I do the following, I just get a blank square:
>
> (insert-image (create-image "/music/repository/Arto Lindsay/Prize/thumbnail.png"))
> t
>
> If I insert a gif or a jpeg, things work fine.  If I try to insert
> something that isn't an image at all, I get an error message.  But with
> pngs, I don't get any error messages, and I don't get an image, just
> that blank square.
>
> The png libraries seem to exist:
>
> larsi@linux-hvfx:~/src/emacs/trunk> ldd src/emacs | grep png
> 	libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb7631000)
> 	libpng14.so.14 => /usr/lib/libpng14.so.14 (0xb656f000)
> larsi@linux-hvfx:~/src/emacs/trunk> ls -l /usr/lib/libpng12.so.0 /usr/lib/libpng14.so.14
> lrwxrwxrwx 1 root root 18 Dec  8 01:20 /usr/lib/libpng12.so.0 -> libpng12.so.0.46.0
> lrwxrwxrwx 1 root root 18 Nov 10 17:25 /usr/lib/libpng14.so.14 -> libpng14.so.14.8.0

I'm on Tumbleweed, but my system looks the same in that respect and PNG insertion
works a charm with Emacs24 compiled yesterday.  Check that

lrwxrwxrwx 1 root root     11 19. Nov 18:32 /usr/lib/libpng.so -> libpng12.so

it might point to libpng14.so on your system?

Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

Factory and User Sound Singles for Waldorf Q+, Q and microQ:
http://Synth.Stromeko.net/Downloads.html#WaldorfSounds